Create Domiciliary Account with BVN
curl --request POST \
--url https://api.stag.songhaiexchange.io/gateway/create-domiciliary-bank-account-with-bvn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dormAccountRequestDTO": [
{
"bvnCountry": "NGA",
"existingAccountBankCode": 214,
"existingAccountBvn": "02234444221",
"existingAccountCurrencyCode": "USD",
"newAccountCurrencyCode": "USD"
}
]
}
'import requests
url = "https://api.stag.songhaiexchange.io/gateway/create-domiciliary-bank-account-with-bvn"
payload = { "dormAccountRequestDTO": [
{
"bvnCountry": "NGA",
"existingAccountBankCode": 214,
"existingAccountBvn": "02234444221",
"existingAccountCurrencyCode": "USD",
"newAccountCurrencyCode": "USD"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dormAccountRequestDTO: [
{
bvnCountry: 'NGA',
existingAccountBankCode: 214,
existingAccountBvn: '02234444221',
existingAccountCurrencyCode: 'USD',
newAccountCurrencyCode: 'USD'
}
]
})
};
fetch('https://api.stag.songhaiexchange.io/gateway/create-domiciliary-bank-account-with-bvn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dormAccountResponseDTO": [
{
"createdAccountNumber": "<string>",
"existingBankAccountNumber": "<string>",
"createdAccountCurrencyCode": "<string>",
"status": "<string>",
"msg_note": "<string>",
"msg_code": "<string>",
"msg_code_id": "<string>",
"accountBankCode": "<string>"
}
]
}API Endpoints
Domiciliary Account (BVN)
Automatically create a domiciliary account using Bank Verification Number (BVN). Only supported in Nigeria.
POST
/
gateway
/
create-domiciliary-bank-account-with-bvn
Create Domiciliary Account with BVN
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Domiciliary account created successfully
Show child attributes
Show child attributes
⌘I
